import 'package:json_annotation/json_annotation.dart';
import 'package:odf/bean/port_list_bean.dart';

part 'details_bean.g.dart';

@JsonSerializable(explicitToJson: true)
class DetailsBean {
  int? id;
  String? name;
  List<PortListBean> odfPortsList;

  DetailsBean(this.id, this.name, this.odfPortsList);

  factory DetailsBean.fromJson(Map<String, dynamic> json) => _$DetailsBeanFromJson(json);

  Map<String, dynamic> toJson() => _$DetailsBeanToJson(this);
}
